[arch-commits] Commit in festival-kallpc16k/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Wed Jul 29 21:50:27 EDT 2009


    Date: Wednesday, July 29, 2009 @ 21:50:26
  Author: eric
Revision: 47974

Added arch tag, Added license

Modified:
  festival-kallpc16k/trunk/PKGBUILD

----------+
 PKGBUILD |   18 ++++++++++--------
 1 file changed, 10 insertions(+), 8 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-07-30 01:45:33 UTC (rev 47973)
+++ PKGBUILD	2009-07-30 01:50:26 UTC (rev 47974)
@@ -2,18 +2,20 @@
 # Maintainer: Simo Leone <neuotuli at gmail.com>
 # Contributor: Simo Leone <neotuli at gmail.com>
 pkgname=festival-kallpc16k
-_pkgnameorig=festvox_kallpc16k
 pkgver=1.95
-pkgrel=2
+pkgrel=3
 pkgdesc="British English RP male speaker"
+arch=('any')
 url="http://www.cstr.ed.ac.uk/projects/festival/"
-license=""
+license=('custom')
 depends=('festival')
-source=("http://www.cstr.ed.ac.uk/downloads/festival/$pkgver/$_pkgnameorig.tar.gz")
+source=(http://www.cstr.ed.ac.uk/downloads/festival/$pkgver/festvox_kallpc16k.tar.gz)
+md5sums=('abbd12e1d04ecdcae07f1d0044f3a947')
+sha1sums=('ad18502ae0fd10bdc3db189fa9afa8a167eceebb')
 
 build() {
-  cd $startdir/src
-  mkdir -p $startdir/pkg/usr/share/festival
-  mv festival/lib/voices $startdir/pkg/usr/share/festival
+  cd "$srcdir"
+  mkdir -p "$pkgdir/usr/share/festival"
+  cp -a festival/lib/voices "$pkgdir/usr/share/festival" || return 1
+  install -D -m644  festival/lib/voices/english/kal_diphone/COPYING "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE" || return 1
 }
-md5sums=('abbd12e1d04ecdcae07f1d0044f3a947')



More information about the arch-commits mailing list